<template>
  <el-dialog
    width="60%"
    title="条件查询订单申请"
    top="5vh"
    :visible.sync="innerVisible"
    append-to-body
    @close="$emit('update:currshowlist', false)"
    :show="currshowlist"
  >
    <div>
      <el-form
        :model="dataForm"
        ref="dataForm"
        label-width="120px"
        class="l-mes manufacturingorderapply-form"
      >
        <el-row>
          <el-col :span="12">
            <el-form-item label="零件号" prop="partNo">
              <el-input v-model="dataForm.partNo" placeholder="零件号">
              </el-input>
            </el-form-item>
          </el-col>
          <el-col :span="12">
            <el-form-item label="零件描述" prop="partName">
              <el-input v-model="dataForm.partName" placeholder="零件描述">
              </el-input>
            </el-form-item>
          </el-col>
        </el-row>
        <el-row>
          <el-col :span="12">
            <el-form-item label="车间申请类型" prop="workshopTypeCode">
              <el-input
                v-model="dataForm.workshopTypeCode"
                placeholder="车间申请类型"
              >
              </el-input>
            </el-form-item>
          </el-col>
          <el-col :span="12">
            <el-form-item label="状态" prop="state">
              <el-input v-model="dataForm.state" placeholder="状态"> </el-input>
            </el-form-item>
          </el-col>
        </el-row>
        <el-row>
          <el-col :span="12">
            <el-form-item label="到期日" prop="dueDate">
              <el-date-picker
                v-model="dataForm.dueDate"
                type="daterange"
                range-separator="-"
                start-placeholder="始"
                end-placeholder="终"
                value-format="yyyy-MM-dd"
              >
              </el-date-picker>
            </el-form-item>
          </el-col>
          <el-col :span="12">
            <el-form-item label="开始日期" prop="beginDate">
              <el-date-picker
                v-model="dataForm.beginDate"
                type="daterange"
                range-separator="-"
                start-placeholder="始"
                end-placeholder="终"
                value-format="yyyy-MM-dd"
              >
              </el-date-picker>
            </el-form-item>
          </el-col>
        </el-row>
        <el-row>
          <el-col :span="12">
            <el-form-item label="创建日期" prop="createDate">
              <el-date-picker
                v-model="dataForm.createDate"
                type="daterange"
                range-separator="-"
                start-placeholder="始"
                end-placeholder="终"
                value-format="yyyy-MM-dd"
              >
              </el-date-picker>
            </el-form-item>
          </el-col>
          <el-col :span="12">
            <el-form-item label="计划人" prop="createUser">
              <el-input
                v-model="dataForm.createUser"
                placeholder="计划人"
              ></el-input>
            </el-form-item>
          </el-col>
        </el-row>
      </el-form>
    </div>
    <div slot="footer" class="dialog-footer">
      <el-button @click="innerVisible = false">取 消</el-button>
      <el-button type="primary" @click="saveSelectRow">查 询</el-button>
    </div>
  </el-dialog>
</template>

<script>
export default {
  props: {
    currshowlist: {
      type: Boolean,
      default: false
    }
  },
  data() {
    return {
      innerVisible: false,
      dataForm: {
        partNo: null,
        partName: null,
        workshopTypeCode: null,
        state: null,
        dueDate: null,
        beginDate: null,
        createDate: null,
        createUser: null
      }
    }
  },
  watch: {
    currshowlist() {
      this.innerVisible = this.currshowlist
      if (this.currshowlist) {
        this.$nextTick(() => {
          // this.getData()
        })
      }
    }
  },
  methods: {
    saveSelectRow() {
      this.$emit('refreshApply', this.dataForm)
      this.innerVisible = false
    }
  }
}
</script>
<style scoped>
.manufacturingorderapply-form >>> .el-date-editor {
  background: transparent !important;
  border-top: none;
  border-left: none;
  border-right: none;
  padding: 0;
  margin: 0;
  border-radius: 0;
  width: 100%;
}
</style>
